# TQextScintillaLexerRuby Class Reference

The TQextScintillaLexerRuby class encapsulates the Scintilla Ruby lexer. More...

`#include <tqextscintillalexerruby.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Error = 1
- Comment = 2
- POD = 3
- Number = 4
- Keyword = 5
- DoubleQuotedString = 6
- SingleQuotedString = 7
- ClassName = 8
- FunctionMethodName = 9
- Operator = 10
- Identifier = 11
- Regex = 12
- Global = 13
- Symbol = 14
- ModuleName = 15
- InstanceVariable = 16
- ClassVariable = 17
- Backticks = 18
- DataSection = 19
- HereDocumentDelimiter = 20
- HereDocument = 21
- PercentStringq = 24
- PercentStringQ = 25
- PercentStringx = 26
- PercentStringr = 27
- PercentStringw = 28
- DemotedKeyword = 29
- Stdin = 30
- Stdout = 31
- Stderr = 40
- enum {
  Default = 0, Error = 1, Comment = 2,
  POD = 3, Number = 4, Keyword = 5,
  DoubleQuotedString = 6, SingleQuotedString = 7, ClassName = 8,
  FunctionMethodName = 9, Operator = 10, Identifier = 11,
  Regex = 12, Global = 13, Symbol = 14,
  ModuleName = 15, InstanceVariable = 16, ClassVariable = 17,
  Backticks = 18, DataSection = 19, HereDocumentDelimiter = 20,
  HereDocument = 21, PercentStringq = 24, PercentStringQ = 25,
  PercentStringx = 26, PercentStringr = 27, PercentStringw = 28,
  DemotedKeyword = 29, Stdin = 30, Stdout = 31,
  Stderr = 40
  }

## Public Member Functions

- TQextScintillaLexerRuby (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerRuby ()
- const char * language () const
- const char * lexer () const
- const char * blockEnd (int *style=0) const
- const char * blockStart (int *style=0) const
- const char * blockStartKeyword (int *style=0) const
- int braceStyle () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const

## Detailed Description

The TQextScintillaLexerRuby class encapsulates the Scintilla Ruby lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Ruby lexer.

Enumerator:

  Default | The default.
  Error | An error.
  Comment | A comment.
  POD | A POD.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  ClassName | The name of a class.
  FunctionMethodName | The name of a function or method.
  Operator | An operator.
  Identifier | An identifier.
  Regex | A regular expression.
  Global | A global.
  Symbol | A symbol.
  ModuleName | The name of a module.
  InstanceVariable | An instance variable.
  ClassVariable | A class variable.
  Backticks | Backticks.
  DataSection | A data section.
  HereDocumentDelimiter | A here document delimiter.
  HereDocument | A here document.
  PercentStringq | A q string.
  PercentStringQ | A Q string.
  PercentStringx | A x string.
  PercentStringr | A r string.
  PercentStringw | A w string.
  DemotedKeyword | A demoted keyword.
  Stdin | stdin.
  Stdout | stdout.
  Stderr | stderr.

## Constructor & Destructor Documentation

TQextScintillaLexerRuby::TQextScintillaLexerRuby | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerRuby with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerRuby::~TQextScintillaLexerRuby | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerRuby instance.

## Member Function Documentation

const char* TQextScintillaLexerRuby::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerRuby::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerRuby::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerRuby::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerRuby::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

const char* TQextScintillaLexerRuby::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerRuby::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerRuby::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.